
%global meadversion 2.7.1
%global namedversion 2.7.1.redhat-11
%global meadalpha .redhat_11
%global meadrel .1
%global serial 11

%bcond_without mead

%define maven_version 2.7.1.redhat-11

Name:           xalan-j2-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Xalan Java
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xalan-parent-2.7.1.redhat-11-scm-sources.zip
Source102: serializer-2.7.1.redhat-11.jar
Source103: serializer-2.7.1.redhat-11-sources.jar
Source104: serializer-2.7.1.redhat-11.pom
Source105: serializer-2.7.1.redhat-11-javadoc.jar
Source106: xalan-parent-2.7.1.redhat-11-javadoc.jar
Source107: xalan-parent-2.7.1.redhat-11-project-sources.tar.gz
Source108: xalan-parent-2.7.1.redhat-11.pom
Source109: xalan-2.7.1.redhat-11-sources.jar
Source110: xalan-2.7.1.redhat-11-javadoc.jar
Source111: xalan-2.7.1.redhat-11.jar
Source112: xalan-2.7.1.redhat-11.pom
%endif

URL:            http://xml.apache.org/xalan-j/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xalan-parent-%{namedversion}-%{release}-root

%description
Xalan-Java is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements XSL Transformations (XSLT)
Version 1.0 and XML Path Language (XPath) Version 1.0 and can be used from
the command line, in an applet or a servlet, or as a module in other program.

%prep
%setup -q -n xalan-j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/xalan-parent-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/xalan-parent-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/serializer-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/serializer-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/serializer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/serializer-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/xalan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/xalan-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xalan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/xalan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n xalan-j2-eap6
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt NOTICE.txt
%dir %{_javadir}/%{name}
%exclude %{_javadir}/%{name}/xalan-parent-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/xalan-parent-javadoc.jar
%{_javadir}/%{name}/serializer-%{namedversion}.jar
%{_javadir}/%{name}/serializer.jar
%exclude %{_javadir}/%{name}/serializer-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/serializer-javadoc.jar
%{_javadir}/%{name}/serializer-%{namedversion}-sources.jar
%{_javadir}/%{name}/serializer-sources.jar
%{_javadir}/%{name}/xalan-%{namedversion}.jar
%{_javadir}/%{name}/xalan.jar
%exclude %{_javadir}/%{name}/xalan-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/xalan-javadoc.jar
%{_javadir}/%{name}/xalan-%{namedversion}-sources.jar
%{_javadir}/%{name}/xalan-sources.jar

%changelog
* Thu Jun 09 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.7.1-11.redhat_11.1
- 2.7.1.redhat-11

* Tue Jan 27 2015 David Walluck <dwalluck@redhat.com> - 2.7.1-10.redhat_8.1
- add patch for large text nodes (Resolves: #1065128)

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.7.1-9.redhat_7.1
- build wrapper only

* Mon Apr 07 2014 Permaine Cheung <pcheung@redhat.com> - 2.7.1-8.redhat_6.1
- Add fix for CVE-2014-0107

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 2.7.1-7.redhat_5.1
- enable MEAD option

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 2.7.1-7.redhat_5.1
- enable MEAD option

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 2.7.1-7.redhat_5.1
- enable MEAD option

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 2.7.1-7.redhat_5.1
- submit build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> 0:2.7.1-7
- convert to MEAD

* Mon Jan 21 2013 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.13.redhat_2
- Add BR for apache-commons-parent, indirectly required to use mvn-jpp

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.7.1-6.12.redhat_3.2
- Rebuild due to deploy bug

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.7.1-6.12.redhat_3.1
- Fix parent to eap 6.0.1 build of apache parent

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.11.redhat_2.2
- Rebuild due to deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.11.redhat_2.1
- Rebuild unsigned

* Mon Aug 06 2012 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.11
- BuildRequires: java-fonts

* Mon Aug 06 2012 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.10
- rebuild

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.2.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.2.1
- Rebuild using cache signing

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.9_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.7_redhat_1
- Rebuild

* Thu Sep 22 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.8_redhat_1
- copy maven contents to repolib
- leave bundled jars so that docs build correctly
- fix symlinks

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.7_redhat_1
- don't change groupId in poms
- remove old poms
- use upstream sources
- add jbossorg poms as additional sources
- add build patch from jbossorg
- convert patches to unix format
- don't patch for version and set property instead
- apply XALANJ-2535 patch
- don't apply manifest and xsltc patches
- use jbossorg sources and poms

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.6_redhat_1
- fix wrong-file-end-of-line-encoding
- add readme.html to docs
- remove bundled src/xml-commons-external-1.3.02-src.tar.gz
- patch and recreate xdocs/xml-site-style.tar.gz

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.5_redhat_1
- use xalan.jar, not xalan-interpretive.jar, in non-bootstrap mode
- don't patch to use xsltc in bootstrap mode

* Mon Aug 29 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.4_redhat_1
- clean build so that lex and cup run
- perform full build
- BuildRequires: brazil
- BuildRequires: ejb_api
- BuildRequires: servlet_api not servlet_2_5_api
- fix missing org.apache.xalan.xsltc.trax.TransformerFactoryImpl
- remove bad upload script, set maven.repo.local for deploy
- replace ln -sf with ln -s and remove redundant symlinking
- remove obsolete GCJ support
- fix mix of tabs and spaces
- version jars
- fix manual files

* Wed Aug 03 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.3_redhat_1
- Update build_xml.patch to fix release tag

* Fri Jul 29 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.2_redhat_1
- Fix release

* Tue Jun 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6_1_redhat.1
- Rebuild

* Tue Jun 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6_1_redhat
- Upgrade to 2.7.1-1-redhat
 
* Wed Mar 02 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-5.3_patch_04
- Rebuild

* Thu Feb 24 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-5.2_patch_04
- use jboss groupId for xml-apis in poms
- use full version in poms, maven depmaps, and file/dir names
- fix full version in component-info.xml
- fix pom copying to repolib
- fix repolib dir ownership
- update xalan-j2-upload.sh to use mvn-jpp
- update xerces:xercesImpl version in poms to latest
- remove macros from comments

* Tue Feb 15 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-5.1_patch_04
- Update Release: tag to be newer than the EAP 4 one

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.5_patch_04
- Fix upload.sh

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.4_patch_04
- Add patch for XALANJ-2195 as -patch-04
- Fix groupId to apache-xalan and add depmap for proper repolib content

* Thu Dec 02 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.7.1-3.3
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin

* Mon Jun 07 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.2
- Rebuild with javac.source and javac.target=1.5 (needed for tomcat6)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.7.1-1.2
- Rebuild

* Thu Apr 01 2010 Martha Benitez <mbenitez@redhat.com> 0:2.7.1-2
- Add xalan-j2-XALANJ-2382.patch as patch03
- Add pom.xml files to repolib

* Wed Jan 13 2010 David Walluck <dwalluck@redhat.com> 0:2.7.1-1.1
- add real poms to get correct dependencies

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:2.7.1-1
- 2.7.1
- Comment Patch0 Patch1 Patch2 Patch4
- Change java-cup to java_cup

* Fri May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-13
- enable repolib

* Thu May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-12
- fix BuildRequires

* Thu May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-11
- add xalan-j2-XALANJ-2321-AVT.patch as patch02

* Fri Sep 19 2008 David Walluck <dwalluck@redhat.com> 0:2.7.0-10
- fix file list
- fix repolib

* Fri Jun 13 2008 Fernando Nasser <fnasser@redhat.com> 0:2.7.0-9
- Rebuild without JPP 1.7

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:2.7.0-8.jpp5
- add repolib option
- add XALANJ-2376.patch
- remove javadoc scriptlets
- remove spurious requirement on gnu-crypto
- fix License
- fix duplicate %%changelog section
- fix macros in %%changelog
- properly comment out xsltc scripts

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> 0:2.7.0-7jpp
- Add option to omit -xsltc subpackage while bootstrapping
- Restore unapplied patches
- Fix empty post/postun

* Fri Aug 18 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-6jpp
- Add a postun section to rebuild jar db provided GCJ support is enabled.

* Thu Aug 10 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-5jpp
- Add Requires post/preun for update-alternatives.
- Remove Requires for update-alternatives.
- Add Requires(x) for javadoc subpackage.
- Add postun section for javadoc subpackage.

* Fri Jul 21 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-4jpp
- Fix two typos in files section.

* Wed Jul 19 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-3jpp
- Conditional native compilation with GCJ.
- Use NVR macros wherever possible.
- Exclude war which blocks aot compilation of main jar (RH BZ#171005)
  (Archit Shah - Nov 1 2005 - 0:2.6.0-3jpp_4fc)

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:2.7.0-2jpp
- First JPP-1.7 release
- Fix some (Build)Requires

* Fri Oct 07 2005 Ralph Apel <r.ape at r-apel.de> 0:2.7.0-1jpp
- Upgrade to 2.7.0
- Include serializer.jar as xalan-j2-serializer.jar

* Fri May 27 2005 Gary Benson <gbenson at redhat.com> 0:2.6.0-3jpp
- Add NOTICE file as per Apache License version 2.0.
- Build with servletapi5.

* Thu Aug 26 2004 Ralph Apel <r.ape at r-apel.de> 0:2.6.0-2jpp
- Build with ant-1.6.2
- Try with -Djava.awt.headless=true

* Tue Mar 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.0-1jpp
- Updated to 2.6.0
- Patches supplied by <aleksander.adamowski@altkom.pl>

* Sat Nov 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.5.2-1jpp
- Update to 2.5.2.
- Re-enable javadocs, new style versionless symlink handling, crosslink
  with local J2SE javadocs.
- Spec cleanups.

* Sat Jun  7 2003 Vil le Skyttä <ville.skytta at iki.fi> - 0:2.5.1-1jpp
- Update to 2.5.1.
- Fix jpackage-utils version in BuildRequires, add xerces-j2.
- Non-versioned javadoc symlinking.
- Add one missing epoch.
- Clean up manifests from Class-Path's and other stuff we don't include.
- xsltc no longer provides a jaxp_transform_impl because of huge classpath
  and general unsuitablity for production-use, system-installed transformer.
- Own (ghost) %%{_javadir}/jaxp_transform_impl.jar.
- Remove alternatives in preun instead of postun.
- Disable javadoc subpackage for now:
  <http://issues.apache.org/bugzilla/show_bug.cgi?id=20572>

* Thu Mar 27 2003 Nicolas Mailhot <Nicolas.Mailhot@One2team.com> 0:2.5.0.d1-1jpp
- For jpackage-utils 1.5

* Wed Jan 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.4.1-2jpp
- bsf -> oldbsf.
- Use non-versioned jar in alternative, don't remove it on upgrade.
- Remove hardcoded packager tag.

* Mon Nov 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.4.1-1jpp
- 2.4.1

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.4.0-1jpp
- 2.4.0.

* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.4-0.D1.3jpp
- corrected case for Group tag
- fixed servlet classpath

* Tue Aug 20 2002 Ville Skyttä <ville.skytta at iki.fi> 2.4-0.D1.2jpp
- Remove xerces-j1 runtime dependency.
- Add bcel, jlex, regexp to xsltc runtime requirements:
  <http://xml.apache.org/xalan-j/xsltc_usage.html>
- Build with -Dbuild.compiler=modern (IBM 1.3.1) to avoid stylebook errors.
- XSLTC now provides jaxp_transform_impl too.
- Earlier changes by Henri, from unreleased 2.4-D1.1jpp:
    Mon Jul 15 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.4-D1.1jpp
  - 2.4D1
  - use the jlex 1.2.5-5jpp (patched by Xalan/XSLTC team) rpm
  - use the stylebook-1.0-b3_xalan-2.jar included in source file till it will
    be packaged in jpackage
  - use jaxp_parser_impl (possibly xerces-j2) instead of xerces-j1 for docs
    generation, since it's tuned for stylebook-1.0-b3_xalan-2.jar
  - build and provide xsltc in a separate rpm

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.1-2jpp
- provides jaxp_transform_impl
- requires jaxp_parser_impl
- stylebook already requires xml-commons-apis
- jaxp_parser_impl already requires xml-commons-apis
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Wed Jun 26 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.3.1-2jpp
- fix built classpath (bsf, bcel are existing jpackage rpms),
- 2.3.1
- vendor, distribution, group tags

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.0-2jpp
- generic servlet support

* Wed Feb 20 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.0-1jpp
- 2.3.0
- no more compat jar

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.0-2jpp
- adaptation to new stylebook1.0b3 package
- used source tarball
- section macro

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.0-1jpp
- 2.2.0 final
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for compat and demo packages
- fixed package confusion
- adaptation for new servlet3 package
- requires xerces-j1 instead of jaxp_parser
- xml-apis jar now in required xml-commons-apis external package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D14-1jpp
- 2.2.D14
- javadoc into javadoc package
- compat.jar into compat package
- compat javadoc into compat-javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.2.D13-2jpp
- changed extension to jpp
- prefixed xml-apis

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.2.D13-1jpp
- 2.2.D13
- removed packager tag

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D11-1jpp
- 2.2.D11

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D10-2jpp
- first unified release
- s/jPackage/JPackage

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D10-1mdk
- cvs references
- splitted demo package
- moved demo files to %%{_datadir}/%%{name}
- only manual package requires stylebook-1.0b3
- only demo package requires servletapi3

* Wed Aug 22 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D9-1mdk
- 2.2.9
- used new source packaging policy
- added samples data

* Wed Aug 08 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D6-1mdk
- first Mandrake release
